import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, f = Object.getOwnPropertyDescriptor, a = (l, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? f(r, o) : r, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (e = (t ? p(r, o, e) : p(e)) || e);
  return t && e && v(r, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--userMoveLarge", this.class = "c-pieIcon c-pieIcon--userMoveLarge", this.name = "IconUserMoveLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--userMoveLarge"><path d="M12.505 14.688a4.812 4.812 0 1 0-4.813-4.813 4.821 4.821 0 0 0 4.813 4.813Zm0-7.876a3.062 3.062 0 1 1 0 6.125 3.062 3.062 0 0 1 0-6.124Zm7.358 11.612-1.39 1.076a4.734 4.734 0 0 0-3.79-1.75h-4.375a4.497 4.497 0 0 0-4.287 2.625l-.674 1.75H3.492l.875-2.371A6.247 6.247 0 0 1 10.326 16H14.7a6.536 6.536 0 0 1 5.162 2.424Z"></path><path d="m26.823 22.352-2.502-2.502-1.234 1.234 1.304 1.303h-5.889v1.75h5.889l-1.304 1.304 1.234 1.234 2.502-2.503a1.294 1.294 0 0 0 0-1.82Z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  m("icon-user-move-large")
], s);
export {
  s as IconUserMoveLarge
};
